unit ajaxmdmodule;

interface

uses
  SysUtils, Classes, HTTPApp, DB, DBClient, DBWeb;

type
  TWebModule4 = class(TWebModule)
    cdsCustomer: TClientDataSet;
    DataSetTableProducer1: TDataSetTableProducer;
    cdsOrders: TClientDataSet;
    DataSetTableProducer2: TDataSetTableProducer;
    procedure WebModule4waHtmlDetailAction(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule4waXmlAllAction(Sender: TObject; Request: TWebRequest;
      Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule4: TWebModule4;

implementation

{$R *.dfm}

procedure TWebModule4.WebModule4waHtmlDetailAction(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  cdsOrders.Filter := 'CustNo = ' + Request.QueryFields.Values['id'];
  cdsOrders.Filtered := True;
  Response.Content := DataSetTableProducer2.Content;
end;

procedure TWebModule4.WebModule4waXmlAllAction(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  cdsCustomer.Open;
  Response.Content := cdsCustomer.XMLData;
end;

end.
